WEBНовости

Опубликован эксплоит для критического бага в WebKit

ИБ-специалист Линус Хенце (Linus Henze) опубликовал на GitHub PoC-эксплоит для уязвимости в WebKit, эксплуатация которой приводит к исполнению произвольного шеллкода. Движок WebKit используется в браузере Apple Safari и приложениях для macOS, iOS и Linux.

Исследователь пишет, что проблема уже устранена в основной ветке WebKit, поэтому он и решил рассказать об уязвимости публично. При этом баг пока не исправлен в версиях для macOS и iOS. То есть последние версии macOS (10.14) и iOS (12.0) уязвимы, хотя Хенце и отмечает, что в iOS загрузка шеллкода попросту не поддерживается. Также специалист признает, что его эксплоит имеет много общего с использованием бага CVE-2018-4233, который был продемонстрирован на Pwn2Own ранее в этом году.

Эксплоит Хенце вряд ли будет полезен неподготовленным хакерам, так как песочница Safari не допустит выполнения кода за пределами браузера. Однако эксперт все равно просит не использовать опубликованную информацию во вредоносных целях, ведь PoC вполне возможно скомбинировать с другими эксплоитами, которые будут отвечать за побег из песочницы.

В сущности, исполнение шеллкода в Safari позволит атакующему делать все, что способен делать браузер Apple. К примеру, исследователь полагает, что проблема может использоваться для обхода SOP (same-origin policy).

Ваш e-mail не будет опубликован. Он потребуется для подтверждения Вашего поста.
Оформление текста Нажмите «Ввод», чтобы отправить ответ.